Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.forms
Class ChoiceField

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.forms.Field
              org.pdfclown.documents.interaction.forms.ChoiceField

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

Direct Known Subclasses:
  ComboBox, ListBox

    @PDF(value=PDF12)
    public abstract class ChoiceField

extends Field

Choice field [PDF:1.6:8.6.3].

Since:
  0.0.7
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary

Nested classes/interfaces inherited from class org.pdfclown.documents.interaction.forms.Field
`Field.FlagsEnum`

Constructor Summary
`protected` | `ChoiceField(PdfDirectObject baseObject)`
`protected` | `ChoiceField(String name, Widget widget)` Creates a new choice field within the given document context.

Method Summary
`ChoiceItems` | `getItems()`
`boolean` | `isMultiSelect()` Gets whether more than one of the field's items may be selected simultaneously.
`boolean` | `isValidatedOnChange()` Gets whether validation action is triggered as soon as a selection is made, without requiring the user to exit the field.
`void` | `setItems(ChoiceItems value)`
`void` | `setMultiSelect(boolean value)`
`void` | `setValidatedOnChange(boolean value)`

Methods inherited from class org.pdfclown.documents.interaction.forms.Field
`getActions, getDefaultAppearanceState, getDefaultValue, getFlags, getFullName, getInheritableAttribute, getName, getValue, getWidgets, isExportable, isReadOnly, isRequired, setActions, setExportable, setFlags, setName, setReadOnly, setRequired, setValue, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, clone, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChoiceField

    protected ChoiceField(String name,
                          Widget widget)

  Creates a new choice field within the given document context.

### ChoiceField

    protected ChoiceField(PdfDirectObject baseObject)

Method Detail

### getItems

    public ChoiceItems getItems()

### isMultiSelect

    public boolean isMultiSelect()

  Gets whether more than one of the field's items may be selected simultaneously.

### isValidatedOnChange

    public boolean isValidatedOnChange()

  Gets whether validation action is triggered as soon as a selection is made, without requiring the user to exit the field.

### setItems

    public void setItems(ChoiceItems value)

  See Also:
    `getItems()`

### setMultiSelect

    public void setMultiSelect(boolean value)

  See Also:
    `isMultiSelect()`

### setValidatedOnChange

    public void setValidatedOnChange(boolean value)

  See Also:
    `isValidatedOnChange()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.